/*
    使用プログラム
    MASTER840Search.asp     権限グループマスタ検索画面
*/

/* 両画面使用
**********************************************************/
/****各テキストボックス幅指定****/
/*権限ｸﾞﾙｰﾌﾟ名称*/
.MASTER840-txt-authgrp_nm {
    width: 160px;
}

.MASTER840-select-authkino {
    width: 100px;
}

/*ファイル区分*/
.MASTER840-ddl-filekbn {
    width: 180px;
}


/********************検索画面********************/
/*ボタン設定*/
.MASTER840-btn_area {
    width: 1010px;
}

.MASTER840-btn_search {
    margin: 0 0 0 0;
}

/********************保守画面********************/
/* 見出し固定テーブル（明細エリア）*/
.MASTER840-flex-tbl-dtl-area {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width:100%;
}

/* 見出しエリア内テーブル*/
.MASTER840-flex-tbl-dtl-area table {
    margin: 0px;
}

/* 見出し固定テーブル（明細エリア-左側）*/
.MASTER840-flex-tbl-dtl-left {
    overflow-y: auto;
    overflow-x: hidden;
    margin-top: 0px;
    width: 337px;
    height: 600px;
}

/* 見出し固定テーブル（明細エリア-真ん中）*/
.MASTER840-flex-tbl-dtl-center {
    width: 100px;
}

/* 見出し固定テーブル（明細エリア-右側）*/
.MASTER840-flex-tbl-dtl-right {
    overflow-y: auto;
    overflow-x: hidden;
    margin-top: 0px;
    width: 587px;
    height: 600px;
}

/* 業務テーブル選択色*/
.MASTER840-tbl-gyomu-selected-color {
    background-color: #ffff00 !important;
}

/* 設定ボタン*/
.MASTER840-rdo-SetBtn {
    background: #ccc;
    bottom: -1px;
    cursor: pointer;
    opacity: 0;
    height: 0px;
    width: 0px;
}

.MASTER840-lbl-SetBtn {
    background: #eee;
    border: 1px solid #000;
    cursor: pointer;
    height: 25px;
    line-height: 26px;
    margin: 0 0 0 10px;
    position: relative;
    text-align: center;
    width: 40px;
}

.MASTER840-rdo-SetBtn:disabled + label {
    background: #ddd;
    cursor: no-drop;
}

/*非表示の機能行*/
.MASTER840-tr-nodisp {
    display: none;
}

/******************取込確認画面******************/
/* 見出し固定テーブル（見出しエリア）*/
.MASTER840-flex-tbl-th-area {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width:100%;
    align-items:flex-end;
}
/* 見出し固定テーブル（見出しエリア-左側）*/
.MASTER840-flex-tbl-result-th-area-left {
    overflow: hidden;
    width: 240px;
}
/* 見出し固定テーブル（見出しエリア-右側）*/
.MASTER840-flex-tbl-result-th-area-right {
    overflow: hidden;
    width: 935px;
}
/* 見出し固定テーブル（明細エリア）*/
.MASTER840-flex-tbl-dtl-area {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width:100%;
}
/* 見出し固定テーブル（明細エリア-左側）*/
.MASTER840-flex-tbl-result-dtl-left {
    overflow: hidden;
    margin-top: 0px;
    width: 240px;
    height: 390px;
}
/* 見出し固定テーブル（明細エリア-右側）*/
.MASTER840-flex-tbl-result-dtl-right {
    overflow-y: scroll;
    overflow-x: scroll;
    margin-top: 0px;
    width: 952px;
    height: 390px;
}

.MASTER840-tbl-result-left {
    width: 240px;
    margin: 0px;
}

.MASTER840-tbl-result-right {
    width: 932px;
    margin: 0px;
}

/****列幅設定****/

/****検索画面****/
/*1列目(No)*/
.MASTER840-tbl-search thead tr th:nth-of-type(1) {
    width: 40px;
}

/*2列目(権限ｸﾞﾙｰﾌﾟ)*/
.MASTER840-tbl-search thead tr th:nth-of-type(2) {
    width: 80px;
}

/*3列目(権限ｸﾞﾙｰﾌﾟ名称)*/
.MASTER840-tbl-search thead tr th:nth-of-type(3) {
    width: 220px;
}

/*4列目(削除)*/
.MASTER840-tbl-search thead tr th:nth-of-type(4) {
    width: 80px;
}

.MASTER840-tbl-search tbody tr td:nth-of-type(1),
.MASTER840-tbl-search tbody tr td:nth-of-type(2),
.MASTER840-tbl-search tbody tr td:nth-of-type(4) {
    text-align: center;
}

.MASTER840-tbl-search tbody tr td:nth-of-type(3) {
    text-align: left;
}

/****保守画面****/
/*1列目(メニュー)*/
.MASTER840-tbl-Gyomu thead tr th:nth-of-type(1) {
    width: 200px;
    text-align: center;
}

/*2列目(使用権限)*/
.MASTER840-tbl-Gyomu thead tr th:nth-of-type(2) {
    width: 60px;
    text-align: center;
}

/*3列目(機能)*/
.MASTER840-tbl-Gyomu thead tr th:nth-of-type(3) {
    width: 60px;
    text-align: center;
}

.MASTER840-tbl-Gyomu tbody tr td:nth-of-type(1) {
    text-align: left;
}

.MASTER840-tbl-Gyomu tbody tr td:nth-of-type(2),
.MASTER840-tbl-Gyomu tbody tr td:nth-of-type(3) {
    text-align: center;
}

/*1列目(機能名称)*/
.MASTER840-tbl-Kino thead tr th:nth-of-type(1) {
    width: 450px;
    text-align: center;
}

/*2列目(権限)*/
.MASTER840-tbl-Kino thead tr th:nth-of-type(2) {
    width: 120px;
    text-align: center;
}

.MASTER840-tbl-Kino tbody tr td:nth-of-type(1) {
    text-align: left;
}

.MASTER840-tbl-Kino tbody tr td:nth-of-type(2) {
    text-align: center;
}

/****取込確認画面****/
/*1列目(シート名称)*/
.MASTER840-tbl-result_col1 {
    width: 100px;
    min-width: 100px;
}

/*2列目(No.)*/
.MASTER840-tbl-result_col2 {
    width: 40px;
    min-width: 40px;
}

/*3列目(権限グループコード)*/
.MASTER840-tbl-result_col3 {
    width: 120px;
    min-width: 120px;
}

/*4列目(権限グループ名称)*/
.MASTER840-tbl-result_col4 {
    width: 120px;
    min-width: 120px;
}

/*5列目(業務番号)*/
.MASTER840-tbl-result_col5 {
    width: 100px;
    min-width: 100px;
}

/*6列目(業務名称)*/
.MASTER840-tbl-result_col6 {
    width: 120px;
    min-width: 120px;
}

/*7列目(権限区分)*/
.MASTER840-tbl-result_col7 {
    width: 100px;
    min-width: 100px;
}

.div-header-btn-area.MASTER840-btn_area {
    width: 883px;
}

.div-header-btn-area #btnInsert {
    margin-left: 0px;
}
